package com.ssm.entity;


import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 车位预约
 */
public class YuyueModel {
    /**
     * 主键
     */
    private Integer id;


    /**
     * 预约用户
     */
    private YonghuModel yonghu;


    /**
     * 预约区域
     */
    private TingchequyuModel tingchequyu;


    /**
     * 预约时间
     */
    @DateTimeFormat(pattern = "yyyy-mm-dd HH:mm:ss")
    private Date insertTime;


    /**
     * 创建时间
     */
    private Date createTime;


    /**
     * 获取：主键
     */
    public Integer getId() {
        return id;
    }


    /**
     * 设置：主键
     */
    public void setId(Integer id) {
        this.id = id;
    }

    public YonghuModel getYonghu() {
        return yonghu;
    }

    public void setYonghu(YonghuModel yonghu) {
        this.yonghu = yonghu;
    }

    public TingchequyuModel getTingchequyu() {
        return tingchequyu;
    }

    public void setTingchequyu(TingchequyuModel tingchequyu) {
        this.tingchequyu = tingchequyu;
    }

    /**
     * 获取：预约时间
     */
    public Date getInsertTime() {
        return insertTime;
    }


    /**
     * 设置：预约时间
     */
    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }


    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "YuyueModel{" +
                "id=" + id +
                // 输出用户姓名
                ", yonghuName=" + yonghu.getYonghuName() +
                // 输出停车区域名称
                ", tingchequyuName=" + tingchequyu.getTingchequyuName() +
                ", insertTime=" + insertTime +
                '}';
    }
}
